StarObjectSmallGraphicInternal::SdrGraphic Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphic Class Reference

Internal: virtual class to store a Sdr graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphic:

## Public Member Functions
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Public Attributes
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphic const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic.

## Constructor & Destructor Documentation

## ◆ SdrGraphic()

StarObjectSmallGraphicInternal::SdrGraphic::SdrGraphic | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<, StarObjectSmallGraphicInternal::SdrGraphicAttribute::SdrGraphicAttribute(), StarObjectSmallGraphicInternal::SdrGraphicGroup::SdrGraphicGroup(), and StarObjectSmallGraphicInternal::SdrGraphicPage::SdrGraphicPage().

## ◆ ~SdrGraphic()

StarObjectSmallGraphicInternal::SdrGraphic::~SdrGraphic | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SdrGraphic::getName | ( |  | ) | const
| inlineoverridevirtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

Referenced by operator<<, StarObjectSmallGraphicInternal::SdrGraphicAttribute::operator<<, StarObjectSmallGraphicInternal::SdrGraphicCaption::operator<<, StarObjectSmallGraphicInternal::SdrGraphicCircle::operator<<, StarObjectSmallGraphicInternal::SdrGraphicEdge::operator<<, StarObjectSmallGraphicInternal::SdrGraphicGraph::operator<<, StarObjectSmallGraphicInternal::SdrGraphicGroup::operator<<, StarObjectSmallGraphicInternal::SdrGraphicMeasure::operator<<, StarObjectSmallGraphicInternal::SdrGraphicOLE::operator<<, StarObjectSmallGraphicInternal::SdrGraphicPath::operator<<, StarObjectSmallGraphicInternal::SdrGraphicRect::operator<<, StarObjectSmallGraphicInternal::SdrGraphicText::operator<<, and StarObjectSmallGraphicInternal::SdrGraphicUno::operator<<.

## ◆ getState()

StarState StarObjectSmallGraphicInternal::SdrGraphic::getState | ( | StarObject & | object,
|  | STOFFListenerPtr | listener,
|  | STOFFFrameStyle const & | ) const
| inline

return a pool corresponding to an object

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicGroup::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphic::print | ( |  | ) | const
| inlineoverridevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicAttribute, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicGroup, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicRect, StarObjectSmallGraphicInternal::SdrGraphicText, and StarObjectSmallGraphicInternal::SdrGraphicUno.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicAttribute::print(), StarObjectSmallGraphicInternal::SdrGraphicGroup::print(), StarObjectSmallGraphicInternal::SdrGraphicPage::print(), and StarObjectSmallGraphic::readSVDRObjectHeader().

## ◆ updateStyle()

void StarObjectSmallGraphicInternal::SdrGraphic::updateStyle | ( | StarState & | state,
|  | STOFFListenerPtr | ) const
| inline

try to update the graphic style

Referenced by StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle(), StarObjectSmallGraphicInternal::SdrGraphicCircle::updateStyle(), StarObjectSmallGraphicInternal::SdrGraphicGraph::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphicMeasure::updateStyle().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphic const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_anchorPosition

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphic::m_anchorPosition

the anchor position

Referenced by getState(), operator<<, StarObjectSmallGraphic::readSVDRObjectHeader(), and SdrGraphic().

## ◆ m_bdbox

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphic::m_bdbox

the bdbox

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectHeader(), SdrGraphic(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## ◆ m_flags

bool StarObjectSmallGraphicInternal::SdrGraphic::m_flags[6]

a list of flag

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectHeader(), SdrGraphic(), and updateStyle().

## ◆ m_layerId

int StarObjectSmallGraphicInternal::SdrGraphic::m_layerId

the layer id

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectHeader(), and SdrGraphic().

## ◆ m_polygon

std::vector<GluePoint> StarObjectSmallGraphicInternal::SdrGraphic::m_polygon

a polygon

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectHeader(), and SdrGraphic().

## ◆ m_userDataList

std::vector<std::shared_ptr<StarObjectSmallGraphicInternal::SDRUserData> > StarObjectSmallGraphicInternal::SdrGraphic::m_userDataList

the user data list

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader(), and SdrGraphic().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx